curl --request PUT \
--url https://api.extole.io/v6/event-streams/{eventStreamId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"description": "description",
"name": "name",
"stop_at": "2025-10-24T09:00:00.000Z",
"tags": [
"tag"
]
}
'import requests
url = "https://api.extole.io/v6/event-streams/{eventStreamId}"
payload = {
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"description": "description",
"name": "name",
"stop_at": "2025-10-24T09:00:00.000Z",
"tags": ["tag"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
description: 'description',
name: 'name',
stop_at: '2025-10-24T09:00:00.000Z',
tags: ['tag']
})
};
fetch('https://api.extole.io/v6/event-streams/{eventStreamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update an event stream
Updates the event-stream subscription. Only fields present in the request body are changed. Returns the updated event stream.
Authorizations
Path Parameters
Body
Body of a PUT /v6/event-streams/{eventStreamId} request.
Show child attributes
Show child attributes
Choose between static or dynamic description. Buildtime expressions use EventStreamBuildtimeContext.
Choose between static or dynamic name. Buildtime expressions use EventStreamBuildtimeContext.
Response
Successful response
Stored event stream definition. Fields name and description are unevaluated and appear in buildtime-evaluatable form.
The description as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
